• 主页
  • ASP
  • .NET Framework
  • Web Services
  • VB
  • VC
  • 图表区
  • 分析与设计
  • 组件/控件开发
  • LINQ

数据库版本706产生错误,不知如何是好?

在途中 阳溪中心 其他  2014-12-01 10:12:11
以前用VS2010编写了个小网站,一时手痒安装了VS2012,并新新建了个数据库,没想到原先绑定数据时,后来在打开那数据库时出现了以下错误,这边的大虾很多,求解了!先谢了。

数据库 'F:\小小网站\小小网站07版\APP_DATA\SYSDATA.MDF 的版本为 706,无法打开。此服务器支持 661 版及更低版本。不支持降级路径。
无法打开新数据库 'F:\小小网站\小小网站07版\APP_DATA\SYSDATA.MDF'。CREATE DATABASE 中止。
尝试为文件F:\小小网站\小小网站07版\APP_DATA\SYSDATA.MDF附加自动命名的数据库,但失败。已存在同名的数据库,或指定的文件无法打开或位于 UNC 共享目录中。
...全文
583 点赞 收藏 5
写回复
5 条回复
在途中 2014年12月02日
看起来只有这样了
回复 点赞
於黾 2014年12月02日
就是安装个真正的数据库,数据库跟程序集分离,不要依赖程序集版本
回复 点赞
於黾 2014年12月02日
一般这种问题都是因为用高版本打开之后,再用低版本无法打开了 比如VS2010建立的工程,用VS2012打开,又没有备份,再用2010就打不开了 要用数据库,最好还是安装个SQL SERVER,或者MYSQL,ACCESS都行 不要用VS自带的数据库,会因为你用了高版本打开使数据库文件也升级
回复 点赞
在途中 2014年12月02日
更正一下,是两种情况,一、起先建好后,新数据库在绑定时出现这种情况。二、是更糟糕的情况,就是要打开那数据库时就提示那些错误。 有没有办法解决?
回复 点赞
PandaIT 2014年12月01日
这是数据库问题啊 说明原来的数据库版本要高啊
回复 点赞
发动态
发帖子
.NET技术社区
创建于2007-09-28

4.9w+

社区成员

66.8w+

社区内容

.NET技术交流专区
社区公告
暂无公告